commit: 684e165fbf91e848a73127cdd7e8be96b6bc0eb3
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 27 22:58:08 2020 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Aug 28 13:45:37 2020 +0000
URL: https://gitweb.gentoo.org/proj/genkernel.git/commit/?id=684e165f
gen_initramfs.sh: append_base_layout(): move /run/utmp to /var/run/utmp
Will fix
syslogin_perform_logout: logout(pts/0) returned an error: No such file or
directory
error logged by dropbear.
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
gen_initramfs.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/gen_initramfs.sh b/gen_initramfs.sh
index 5bee813..875068c 100755
--- a/gen_initramfs.sh
+++ b/gen_initramfs.sh
@@ -429,8 +429,8 @@ append_base_layout() {
dd if=/dev/zero of="${TDIR}/var/log/wtmp" bs=1 count=0 seek=0
&>/dev/null \
|| die "Failed to create '${TDIR}/var/log/wtmp'!"
- dd if=/dev/zero of="${TDIR}/run/utmp" bs=1 count=0 seek=0 &>/dev/null \
- || die "Failed to create '${TDIR}/run/utmp'!"
+ dd if=/dev/zero of="${TDIR}/var/run/utmp" bs=1 count=0 seek=0
&>/dev/null \
+ || die "Failed to create '${TDIR}/var/run/utmp'!"
cd "${TDIR}" || gen_die "Failed to chdir to '${TDIR}'!"
log_future_cpio_content